
var app = new Vue({
  el: '#app',
  template: "#main",
  data: function () {
    return {
      // charge: 1 nC
      charge: 1,
      epsilonZero: 8.854e-12,
      chart: {
        showNumbers: false,
        showGrid: true
      },
      // pointA.x cm, pointA.y cm
      pointA: {
        x: 1,
        y: 0,
        show: true
      },
      pointB: {
        x: 4,
        y: 0,
        show: false
      },
      pointC: {
        x: -3,
        y: -3,
        show: false
      },
      pointD: {
        x: 5,
        y: 5,
        show: false
      },
    }
  },
  methods: {
    calculate: function(){

    },
  },
  computed: {
    r1: function(){
      return Math.sqrt(this.pointA.x*this.pointA.x + this.pointA.y*this.pointA.y);
    },
    r2: function(){
      return Math.sqrt(this.pointB.x*this.pointB.x + this.pointB.y*this.pointB.y);
    },
    r3: function(){
      return Math.sqrt(this.pointC.x*this.pointC.x + this.pointC.y*this.pointC.y);
    },
    r4: function(){
      return Math.sqrt(this.pointD.x*this.pointD.x + this.pointD.y*this.pointD.y);
    },
    E1: function(){
      var _const = 1 / (4 * Math.PI * this.epsilonZero);
      // r1 in cm => 1e-2*r1 in m
      // charge in nC => 1e-9*charge
      return (_const * 1e-9*this.charge) / (1e-2*this.r1 * 1e-2*this.r1);
    },
    E2: function(){
      var _const = 1 / (4 * Math.PI * this.epsilonZero);
      return (_const * 1e-9*this.charge) / (1e-2*this.r2 * 1e-2*this.r2);
    },
    E3: function(){
      var _const = 1 / (4 * Math.PI * this.epsilonZero);
      return (_const * 1e-9*this.charge) / (1e-2*this.r3 * 1e-2*this.r3);
    },
    E4: function(){
      var _const = 1 / (4 * Math.PI * this.epsilonZero);
      return (_const * 1e-9*this.charge) / (1e-2*this.r4 * 1e-2*this.r4);
    },
  },
  created: function(){

  },
  mounted: function(){

  },
  watch: {

  },
  components: {

  }
});
